Index: code/branches/gamestate/data/gui/layouts/AudioMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/AudioMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/AudioMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/AudioBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/AudioBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/AudioWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioWindow" >
             <Property Name="Text" Value="Audio" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.2875,0},{0.8,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MasterVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MasterVolume" >
                 <Property Name="Text" Value="Master volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.15,0},{0.5625,0},{0.3525,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MasterScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -36,5 +36,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMasterScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/MasterCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MasterCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -43,5 +43,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MusicVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MusicVolume" >
                 <Property Name="Text" Value="Music volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -50,5 +50,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.4335,0},{0.5625,0},{0.636,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MusicScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -63,5 +63,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioMusicScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/MusicCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/MusicCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -70,5 +70,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/EffectsVolume" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/EffectsVolume" >
                 <Property Name="Text" Value="Effects volume               " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -77,5 +77,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.041666,0},{0.717,0},{0.5625,0},{0.9195,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/EffectsScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -90,5 +90,5 @@
                     <Event Name="ScrollPosChanged" Function="AudioMenu.AudioEffectsScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/Checkbox" Name="orxonox/EffectsCheckbox" >
+                <Window Type="MenuWidgets/Checkbox" Name="orxonox/EffectsCheckbox" >
                     <Property Name="Text" Value="Mute" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -97,5 +97,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/AudioTheme" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioTheme" >
                 <Property Name="Text" Value="Theme" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -104,5 +104,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.604166,0},{0.15,0},{0.958333,0},{0.636,0}}" />
-                <Window Type="TaharezLook/Listbox" Name="orxonox/AudioThemeListbox" >
+                <Window Type="MenuWidgets/Listbox" Name="orxonox/AudioThemeListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                     <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.225,0},{0.95,0},{0.92,0}}" />
@@ -110,5 +110,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/AudioInfo" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/AudioInfo" >
                 <Property Name="Text" >Theme changes might take
 up to a minute.</Property>
@@ -121,5 +121,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/AudioBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/AudioBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/ControlsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/ControlsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/ControlsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/ControlsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/ControlsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/ControlsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/ControlsWindow" >
             <Property Name="Text" Value="Controls" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/MouseControlsButton" >
                 <Property Name="Text" Value="Mouse controls" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -22,5 +22,5 @@
                 <Event Name="Clicked" Function="ControlsMenu.ControlsMouseControlsButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/KeybindingsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/KeybindingsButton" >
                 <Property Name="Text" Value="Keybindings" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -29,5 +29,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/ControlsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/ControlsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/CreditsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/CreditsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/CreditsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/CreditsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/CreditsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsWindow" >
             <Property Name="Text" Value="Credits" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/CreditsText" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/CreditsText" >
                 <Property Name="Text">Orxonox version 0.0.3
 
@@ -32,5 +32,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/CreditsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/CreditsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/DecisionPopup.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/DecisionPopup.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/DecisionPopup.layout	(revision 6564)
@@ -6,9 +6,9 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticImage" Name="orxonox/DecisionPopup_Background" >
+        <Window Type="MenuWidgets/StaticImage" Name="orxonox/DecisionPopup_Background" >
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
             <Property Name="Alpha" Value="0.6" />
-            <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_yes" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_yes" >
                 <Property Name="Text" Value="Yes" />
                 <Property Name="Alpha" Value="0.7" />
@@ -18,5 +18,5 @@
                 <Event Name="Clicked" Function="DecisionPopup.button_yes"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/DecisionPopup_button_no" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/DecisionPopup_button_no" >
                 <Property Name="Text" Value="No" />
                 <Property Name="Alpha" Value="0.8" />
@@ -26,5 +26,5 @@
                 <Event Name="Clicked" Function="DecisionPopup.button_no"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/DecisionPopup_text" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/DecisionPopup_text" >
                 <Property Name="Text" Value="Template text" />
                 <Property Name="HorzFormatting" Value="WordWrapCentred" />
Index: code/branches/gamestate/data/gui/layouts/GameplayMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/GameplayMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/GameplayMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/GameplayBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GameplayBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GameplayWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/GameplayWindow" >
             <Property Name="Text" Value="Gameplay" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Difficulty" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Difficulty" >
                 <Property Name="Text" Value="Difficulty" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyEasyButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyEasyButton" >
                     <Property Name="Text" Value="Easy" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -29,5 +29,5 @@
                     <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyEasyButton_clicked"/>
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyNormalButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyNormalButton" >
                     <Property Name="Text" Value="Normal" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -35,5 +35,5 @@
                     <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyNormalButton_clicked"/>
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/DifficultyHardButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyHardButton" >
                     <Property Name="Text" Value="Hard" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -42,5 +42,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Theme" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Theme" >
                 <Property Name="Text" Value="Theme" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -49,5 +49,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
-                <Window Type="TaharezLook/Combobox" Name="orxonox/ThemeCombobox" >
+                <Window Type="MenuWidgets/Combobox" Name="orxonox/ThemeCombobox" >
                     <Property Name="AlwaysOnTop" Value="True" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -59,5 +59,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/GameplayBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/GameplayBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/GraphicsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/GraphicsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/GraphicsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/GraphicsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GraphicsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/GraphicsWindow" >
             <Property Name="Text" Value="Graphics" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Resolution" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Resolution" >
                 <Property Name="Text" Value="Resolution" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.475,0},{0.92,0}}" />
-                <Window Type="TaharezLook/Listbox" Name="orxonox/ResolutionListbox" >
+                <Window Type="MenuWidgets/Listbox" Name="orxonox/ResolutionListbox" >
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                     <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.95,0}}" />
@@ -29,5 +29,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/Brightness" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/Brightness" >
                 <Property Name="Text" Value="Brightness" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -36,5 +36,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.15,0},{0.95,0},{0.35,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/BrightnessScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/BrightnessScrollbar" >
                     <Property Name="Disabled" Value="true" />
                     <Property Name="PageSize" Value="0" />
@@ -50,5 +50,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/Checkbox" Name="orxonox/FullscreenCheckbox" >
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/FullscreenCheckbox" >
                 <Property Name="Text" Value="Fullscreen" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -56,5 +56,5 @@
                 <Event Name="CheckStateChanged" Function="GraphicsMenu.GraphicsFullscreenCheckbox_clicked"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/GraphicsInfo" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/GraphicsInfo" >
                 <Property Name="Text" >
 Changes in graphics
@@ -69,5 +69,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/GraphicsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/InGameMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/InGameMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/InGameMenu.layout	(revision 6564)
@@ -6,5 +6,5 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_ReturnButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_ReturnButton" >
             <Property Name="Text" Value="Return to Game" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -13,5 +13,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_return_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_MainMenuButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_MainMenuButton" >
             <Property Name="Text" Value="Main Menu" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -20,5 +20,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_mainmenu_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_SettingsButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_SettingsButton" >
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -27,5 +27,5 @@
             <Event Name="Clicked" Function="InGameMenu.button_settings_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/InGameMenu_QuitButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/InGameMenu_QuitButton" >
             <Property Name="Text" Value="Quit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/InGameTest.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/InGameTest.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/InGameTest.layout	(revision 6564)
@@ -4,5 +4,5 @@
     <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
 
-        <Window Type="TaharezLook/Button" Name="orxonox/TestButton">
+        <Window Type="MenuWidgets/Button" Name="orxonox/TestButton">
             <Property Name="UnifiedPosition" Value="{{0.11,0},{0.528,0}}"/>
             <Property Name="UnifiedSize" Value="{{0.15,0},{0.05,0}}"/>
Index: code/branches/gamestate/data/gui/layouts/InfoPopup.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/InfoPopup.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/InfoPopup.layout	(revision 6564)
@@ -6,9 +6,9 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticImage" Name="orxonox/InfoPopup_Background" >
+        <Window Type="MenuWidgets/StaticImage" Name="orxonox/InfoPopup_Background" >
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
             <Property Name="Alpha" Value="0.7" />
-            <Window Type="TaharezLook/Button" Name="orxonox/InfoPopup_close" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/InfoPopup_close" >
                 <Property Name="Text" Value="Close" />
                 <Property Name="Alpha" Value="0.7" />
@@ -18,5 +18,5 @@
                 <Event Name="Clicked" Function="InfoPopup.close"/>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/InfoPopup_text" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/InfoPopup_text" >
                 <Property Name="Text" Value="Template text" />
                 <Property Name="TextColours" Value="FF4444FF" />
Index: code/branches/gamestate/data/gui/layouts/KeyBindMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/KeyBindMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/KeyBindMenu.layout	(revision 6564)
@@ -6,5 +6,5 @@
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/KeyBindWindow" >
             <Property Name="Text" Value="Keybindings" />
             <Property Name="Alpha" Value="0.8" />
@@ -14,5 +14,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/KeyBindWrapper" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/KeyBindWrapper" >
                 <Property Name="TextColours" Value="FF4444FF" />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -21,5 +21,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
-                <Window Type="TaharezLook/ScrollablePane" Name="orxonox/KeyBindPane" >
+                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/KeyBindPane" >
                     <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
                     <Property Name="HorzStepSize" Value="0.005" />
@@ -34,5 +34,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/KeyBindBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/KeyBindBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/MainMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/MainMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/MainMenu.layout	(revision 6564)
@@ -2,11 +2,11 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/MainMenuBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MainMenuBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
         <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.02125,0},{1.02167,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1.0,0},{1.0,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/Button" Name="orxonox/QuickGameTestButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/QuickGameTestButton" >
             <Property Name="Text" Value="Quickstart" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -14,5 +14,5 @@
             <Event Name="Clicked" Function="MainMenu.QuickGameTestButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerButton" >
             <Property Name="Text" Value="Singleplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -20,5 +20,5 @@
             <Event Name="Clicked" Function="MainMenu.SingleplayerButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerButton" >
             <Property Name="Text" Value="Multiplayer" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -26,5 +26,5 @@
             <Event Name="Clicked" Function="MainMenu.MultiplayerButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SettingsButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsButton" >
             <Property Name="Text" Value="Settings" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -32,5 +32,5 @@
             <Event Name="Clicked" Function="MainMenu.SettingsButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/CreditsButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/CreditsButton" >
             <Property Name="Text" Value="Credits" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -38,5 +38,5 @@
             <Event Name="Clicked" Function="MainMenu.CreditsButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/ExitButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/ExitButton" >
             <Property Name="Text" Value="Exit" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/MainMenuBackground.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/MainMenuBackground.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/MainMenuBackground.layout	(revision 6564)
@@ -1,5 +1,5 @@
 <?xml version="1.0" ?>
 <GUILayout>
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/Background">
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/Background">
     <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
     <Property Name="Image" Value="set:MainMenuBackground image:Background"/>
Index: code/branches/gamestate/data/gui/layouts/MouseControlsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/MouseControlsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/MouseControlsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/MouseControlsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MouseControlsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/MouseControlsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseControlsWindow" >
             <Property Name="Text" Value="Mouse controls" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MouseNormalSensitivity" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseNormalSensitivity" >
                 <Property Name="Text" Value="Sensitivity (normal mode)                                      " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -23,5 +23,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.95,0},{0.45,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MouseNormalScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MouseNormalScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -36,5 +36,5 @@
                     <Event Name="ScrollPosChanged" Function="MouseControlsMenu.MouseControlsMouseNormalScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/MouseNormalButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/MouseNormalButton" >
                     <Property Name="Text" Value="Normal mouse input" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -43,5 +43,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/StaticText" Name="orxonox/MouseDeriveSensitivity" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/MouseDeriveSensitivity" >
                 <Property Name="Text" Value="Sensitivity (derive mode)                                      " />
                 <Property Name="InheritsAlpha" Value="False" />
@@ -50,5 +50,5 @@
                 <Property Name="VertFormatting" Value="TopAligned" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.55,0},{0.95,0},{0.8,0}}" />
-                <Window Type="TaharezLook/HorizontalScrollbar" Name="orxonox/MouseDeriveScrollbar" >
+                <Window Type="MenuWidgets/HorizontalScrollbar" Name="orxonox/MouseDeriveScrollbar" >
                     <Property Name="PageSize" Value="0" />
                     <Property Name="StepSize" Value="1" />
@@ -63,5 +63,5 @@
                     <Event Name="ScrollPosChanged" Function="MouseControlsMenu.MouseControlsMouseDeriveScrollbar_changed" />
                 </Window>
-                <Window Type="TaharezLook/RadioButton" Name="orxonox/MouseDeriveButton" >
+                <Window Type="MenuWidgets/RadioButton" Name="orxonox/MouseDeriveButton" >
                     <Property Name="Text" Value="Derive mouse input" />
                     <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -70,5 +70,5 @@
                 </Window>
             </Window>
-            <Window Type="TaharezLook/Checkbox" Name="orxonox/MouseInvertCheckbox" >
+            <Window Type="MenuWidgets/Checkbox" Name="orxonox/MouseInvertCheckbox" >
                 <Property Name="Text" Value="Invert mouse" />
                 <Property Name="Disabled" Value="true" />
@@ -78,5 +78,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MouseControlsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MouseControlsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/MultiplayerMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/MultiplayerMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/MultiplayerMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/MultiplayerBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MultiplayerBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/MultiplayerWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/MultiplayerWindow" >
             <Property Name="Text" Value="Multiplayer" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,9 +16,9 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/Listbox" Name="orxonox/MultiplayerLevelListbox" >
+            <Window Type="MenuWidgets/Listbox" Name="orxonox/MultiplayerLevelListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.8,0}}" />
             </Window>
-            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerJoinButton" >
+            <Window Type="MenuWidgets/RadioButton" Name="orxonox/MultiplayerJoinButton" >
                 <Property Name="Text" Value="Join" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -26,5 +26,5 @@
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerJoinButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerHostButton" >
+            <Window Type="MenuWidgets/RadioButton" Name="orxonox/MultiplayerHostButton" >
                 <Property Name="Text" Value="Host" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -32,5 +32,5 @@
                 <Event Name="SelectStateChanged" Function="MultiplayerMenu.MultiplayerHostButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/RadioButton" Name="orxonox/MultiplayerDedicatedButton" >
+            <Window Type="MenuWidgets/RadioButton" Name="orxonox/MultiplayerDedicatedButton" >
                 <Property Name="Text" Value="Dedicated" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -39,5 +39,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerStartButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerStartButton" >
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -45,5 +45,5 @@
             <Event Name="Clicked" Function="MultiplayerMenu.MultiplayerStartButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/MultiplayerOptionsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/MultiplayerOptionsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/MultiplayerOptionsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/MultiplayerOptionsBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/MultiplayerOptionsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/MultiplayerOptionsWindow" >
             <Property Name="Text" Value="Multiplayer options" />
             <Property Name="Alpha" Value="0.8" />
@@ -17,5 +17,5 @@
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerOptionsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerOptionsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/PickupInventory.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/PickupInventory.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/PickupInventory.layout	(revision 6564)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8" ?>
 <GUILayout>
-    <Window Type="TaharezLook/FrameWindow" Name="orxonox/Inventory">
+    <Window Type="MenuWidgets/FrameWindow" Name="orxonox/Inventory">
         <Property Name="UnifiedMinSize" Value="{{0.0,385},{0.0,200}}" />
         <Property Name="UnifiedMaxSize" Value="{{0.0,385},{0.0,200}}" />
@@ -9,5 +9,5 @@
         <Property Name="CloseButtonEnabled" Value="False" />
 
-        <Window Type="TaharezLook/TabControl" Name="orxonox/Inventory/TabControl" >
+        <Window Type="MenuWidgets/TabControl" Name="orxonox/Inventory/TabControl" >
             <Property Name="Tooltip" Value="Inventory" />
             <Property Name="TabHeight" Value="{0,-1}" />
@@ -16,10 +16,10 @@
             <Property Name="UnifiedAreaRect" Value="{{0,10},{0,30},{1,-10},{1,-10}}" />
 
-            <Window Type="TaharezLook/ScrollablePane" Name="orxonox/Inventory/TabControl/TabEquipment">
+            <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/Inventory/TabControl/TabEquipment">
                 <Property Name="Text" Value="Equipment" />
                 <Property Name="UnifiedPosition" Value="{{0.0,3},{0.0,3}}"/>
                 <Property Name="UnifiedSize" Value="{{1.0,-6},{1.0,-6}}"/>
             </Window>
-            <Window Type="TaharezLook/ScrollablePane" Name="orxonox/Inventory/TabControl/TabUsable">
+            <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/Inventory/TabControl/TabUsable">
                 <Property Name="Text" Value="Usable" />
                 <Property Name="UnifiedPosition" Value="{{0.0,3},{0.0,3}}"/>
Index: code/branches/gamestate/data/gui/layouts/QuestGUI.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/QuestGUI.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/QuestGUI.layout	(revision 6564)
@@ -1,5 +1,5 @@
 <?xml version="1.0" ?>
 <GUILayout>
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/QuestGUI/Background">
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/QuestGUI/Background">
     <Property Name="UnifiedSize" Value="{{1.0,0},{1.0,0}}"/>
     <Property Name="Image" Value="set:MainMenuBackground image:Background"/>
@@ -8,5 +8,5 @@
     <Property Name="InheritsAlpha" Value="False" />
 
-        <Window Type="TaharezLook/Titlebar" Name="orxonox/QuestGUI/Title">
+        <Window Type="MenuWidgets/Titlebar" Name="orxonox/QuestGUI/Title">
             <Property Name="UnifiedPosition" Value="{{0.05,0},{0.05,0}}"/>
             <Property Name="UnifiedSize" Value="{{0.9,0},{0.05,0}}"/>
@@ -14,5 +14,5 @@
         </Window>
 
-        <Window Type="TaharezLook/Listbox" Name="orxonox/QuestGUI/QuestsList">
+        <Window Type="MenuWidgets/Listbox" Name="orxonox/QuestGUI/QuestsList">
             <Property Name="UnifiedPosition" Value="{{0.07,0},{0.18,0}}" />
             <Property Name="UnifiedSize" Value="{{0.86,0},{0.8,0}}" />
Index: code/branches/gamestate/data/gui/layouts/SettingsMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/SettingsMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/SettingsMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/SettingsBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SettingsBackground" >
         <Property Name="InheritsAlpha" Value="False" />
         <Property Name="FrameEnabled" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/SettingsWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/SettingsWindow" >
             <Property Name="Text" Value="Settings" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,5 +16,5 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/Button" Name="orxonox/GameplayButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/GameplayButton" >
                 <Property Name="Text" Value="Gameplay" />
                 <Property Name="Disabled" Value="True" />
@@ -23,5 +23,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsGameplayButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/MultiplayerOptionsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/MultiplayerOptionsButton" >
                 <Property Name="Text" Value="Multiplayer options" />
                 <Property Name="Disabled" Value="True" />
@@ -30,5 +30,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsMultiplayerOptionsButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/ControlsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/ControlsButton" >
                 <Property Name="Text" Value="Controls" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -36,5 +36,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsControlsButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/GraphicsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/GraphicsButton" >
                 <Property Name="Text" Value="Graphics" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -42,5 +42,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsGraphicsButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/AudioButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/AudioButton" >
                 <Property Name="Text" Value="Audio" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -48,5 +48,5 @@
                 <Event Name="Clicked" Function="SettingsMenu.SettingsAudioButton_clicked"/>
             </Window>
-            <Window Type="TaharezLook/Button" Name="orxonox/ResetSettingsButton" >
+            <Window Type="MenuWidgets/Button" Name="orxonox/ResetSettingsButton" >
                 <Property Name="Text" Value="Reset settings" />
                 <Property Name="Disabled" Value="True" />
@@ -56,5 +56,5 @@
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SettingsBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SettingsBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- code/branches/gamestate/data/gui/layouts/SingleplayerMenu.layout	(revision 6562)
+++ code/branches/gamestate/data/gui/layouts/SingleplayerMenu.layout	(revision 6564)
@@ -2,5 +2,5 @@
 
 <GUILayout >
-    <Window Type="TaharezLook/StaticImage" Name="orxonox/SingleplayerBackground" >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SingleplayerBackground" >
         <Property Name="FrameEnabled" Value="False" />
         <Property Name="InheritsAlpha" Value="False" />
@@ -8,5 +8,5 @@
         <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
         <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="TaharezLook/StaticText" Name="orxonox/SingleplayerWindow" >
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerWindow" >
             <Property Name="Text" Value="Singleplayer" />
             <Property Name="Alpha" Value="0.8" />
@@ -16,10 +16,10 @@
             <Property Name="VertFormatting" Value="TopAligned" />
             <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="TaharezLook/Listbox" Name="orxonox/SingleplayerLevelListbox" >
+            <Window Type="MenuWidgets/Listbox" Name="orxonox/SingleplayerLevelListbox" >
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
                 <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
             </Window>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerStartButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerStartButton" >
             <Property Name="Text" Value="Start" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
@@ -27,5 +27,5 @@
             <Event Name="Clicked" Function="SingleplayerMenu.SingleplayerStartButton_clicked"/>
         </Window>
-        <Window Type="TaharezLook/Button" Name="orxonox/SingleplayerBackButton" >
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerBackButton" >
             <Property Name="Text" Value="Back" />
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezMenuWidgets.scheme	(revision 6564)
@@ -0,0 +1,51 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezMenuWidgets">
+    <Imageset Name="TaharezLook" Filename="TaharezLook.imageset" />
+    <Font Name="BlueHighway-12" Filename="BlueHighway-12.font" />
+    <LookNFeel Filename="TaharezLook.looknfeel" />
+    <WindowRendererSet Filename="CEGUIFalagardWRBase" />
+    
+    <FalagardMapping WindowType="MenuWidgets/Button"                      TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="MenuWidgets/Checkbox"                    TargetType="CEGUI/Checkbox"          Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/Checkbox" />
+    <FalagardMapping WindowType="MenuWidgets/ImageButton"                 TargetType="CEGUI/PushButton"        Renderer="Falagard/Button"            LookNFeel="TaharezLook/ImageButton" />
+    <FalagardMapping WindowType="MenuWidgets/RadioButton"                 TargetType="CEGUI/RadioButton"       Renderer="Falagard/ToggleButton"      LookNFeel="TaharezLook/RadioButton" />
+    <FalagardMapping WindowType="MenuWidgets/FrameWindow"                 TargetType="CEGUI/FrameWindow"       Renderer="Falagard/FrameWindow"       LookNFeel="TaharezLook/FrameWindow" />
+    <FalagardMapping WindowType="MenuWidgets/Titlebar"                    TargetType="CEGUI/Titlebar"          Renderer="Falagard/Titlebar"          LookNFeel="TaharezLook/Titlebar" />
+    <FalagardMapping WindowType="MenuWidgets/SystemButton"                TargetType="CEGUI/PushButton"        Renderer="Falagard/SystemButton"      LookNFeel="TaharezLook/Button" />
+    <FalagardMapping WindowType="MenuWidgets/Editbox"                     TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/Editbox" />
+    <FalagardMapping WindowType="MenuWidgets/MultiLineEditbox"            TargetType="CEGUI/MultiLineEditbox"  Renderer="Falagard/MultiLineEditbox"  LookNFeel="TaharezLook/MultiLineEditbox" />
+    <FalagardMapping WindowType="MenuWidgets/Menubar"                     TargetType="CEGUI/Menubar"           Renderer="Falagard/Menubar"           LookNFeel="TaharezLook/Menubar" />
+    <FalagardMapping WindowType="MenuWidgets/PopupMenu"                   TargetType="CEGUI/PopupMenu"         Renderer="Falagard/PopupMenu"         LookNFeel="TaharezLook/PopupMenu" />
+    <FalagardMapping WindowType="MenuWidgets/MenuItem"                    TargetType="CEGUI/MenuItem"          Renderer="Falagard/MenuItem"          LookNFeel="TaharezLook/MenuItem" />
+    <FalagardMapping WindowType="MenuWidgets/AlternateProgressBar"        TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/AltProgressBar" />
+    <FalagardMapping WindowType="MenuWidgets/ProgressBar"                 TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/ProgressBar" />
+    <FalagardMapping WindowType="MenuWidgets/VUMeter"                     TargetType="CEGUI/ProgressBar"       Renderer="Falagard/ProgressBar"       LookNFeel="TaharezLook/VUMeter" />
+    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbar"           TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/VerticalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbar"         TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/HorizontalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/VerticalScrollbarThumb"      TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/VerticalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/HorizontalScrollbarThumb"    TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/HorizontalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbar"      TargetType="CEGUI/Scrollbar"         Renderer="Falagard/Scrollbar"         LookNFeel="TaharezLook/LargeVerticalScrollbar" />
+    <FalagardMapping WindowType="MenuWidgets/LargeVerticalScrollbarThumb" TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/LargeVerticalScrollbarThumb" />
+    <FalagardMapping WindowType="MenuWidgets/TabButton"                   TargetType="CEGUI/TabButton"         Renderer="Falagard/TabButton"         LookNFeel="TaharezLook/TabButton" />
+    <FalagardMapping WindowType="MenuWidgets/TabControl"                  TargetType="CEGUI/TabControl"        Renderer="Falagard/TabControl"        LookNFeel="TaharezLook/TabControl" />
+    <FalagardMapping WindowType="MenuWidgets/TabContentPane"              TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabContentPane" />
+    <FalagardMapping WindowType="MenuWidgets/TabButtonPane"               TargetType="DefaultWindow"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/TabButtonPane" />
+    <FalagardMapping WindowType="MenuWidgets/ComboDropList"               TargetType="CEGUI/ComboDropList"     Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/ComboDropList" />
+    <FalagardMapping WindowType="MenuWidgets/ComboEditbox"                TargetType="CEGUI/Editbox"           Renderer="Falagard/Editbox"           LookNFeel="TaharezLook/ComboEditbox" />
+    <FalagardMapping WindowType="MenuWidgets/Combobox"                    TargetType="CEGUI/Combobox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/Combobox" />
+    <FalagardMapping WindowType="MenuWidgets/Listbox"                     TargetType="CEGUI/Listbox"           Renderer="Falagard/Listbox"           LookNFeel="TaharezLook/Listbox" />
+    <FalagardMapping WindowType="MenuWidgets/ListHeader"                  TargetType="CEGUI/ListHeader"        Renderer="Falagard/ListHeader"        LookNFeel="TaharezLook/ListHeader" />
+    <FalagardMapping WindowType="MenuWidgets/ListHeaderSegment"           TargetType="CEGUI/ListHeaderSegment" Renderer="Falagard/ListHeaderSegment" LookNFeel="TaharezLook/ListHeaderSegment" />
+    <FalagardMapping WindowType="MenuWidgets/MultiColumnList"             TargetType="CEGUI/MultiColumnList"   Renderer="Falagard/MultiColumnList"   LookNFeel="TaharezLook/MultiColumnList" />
+    <FalagardMapping WindowType="MenuWidgets/Slider"                      TargetType="CEGUI/Slider"            Renderer="Falagard/Slider"            LookNFeel="TaharezLook/Slider" />
+    <FalagardMapping WindowType="MenuWidgets/SliderThumb"                 TargetType="CEGUI/Thumb"             Renderer="Falagard/Button"            LookNFeel="TaharezLook/SliderThumb" />
+    <FalagardMapping WindowType="MenuWidgets/ScrollablePane"              TargetType="CEGUI/ScrollablePane"    Renderer="Falagard/ScrollablePane"    LookNFeel="TaharezLook/ScrollablePane" />
+    <FalagardMapping WindowType="MenuWidgets/Spinner"                     TargetType="CEGUI/Spinner"           Renderer="Falagard/Default"           LookNFeel="TaharezLook/Spinner" />
+    <FalagardMapping WindowType="MenuWidgets/Tooltip"                     TargetType="CEGUI/Tooltip"           Renderer="Falagard/Tooltip"           LookNFeel="TaharezLook/Tooltip" />
+    <FalagardMapping WindowType="MenuWidgets/StaticImage"                 TargetType="DefaultWindow"           Renderer="Falagard/StaticImage"       LookNFeel="TaharezLook/StaticImage" />
+    <FalagardMapping WindowType="MenuWidgets/StaticText"                  TargetType="DefaultWindow"           Renderer="Falagard/StaticText"        LookNFeel="TaharezLook/StaticText" />
+    <FalagardMapping WindowType="MenuWidgets/ItemListbox"                 TargetType="CEGUI/ItemListbox"       Renderer="Falagard/ItemListbox"       LookNFeel="TaharezLook/ItemListbox" />
+    <FalagardMapping WindowType="MenuWidgets/ListboxItem"                 TargetType="CEGUI/ItemEntry"         Renderer="Falagard/ItemEntry"         LookNFeel="TaharezLook/ListboxItem" />
+    <FalagardMapping WindowType="MenuWidgets/GroupBox"                    TargetType="CEGUI/GroupBox"          Renderer="Falagard/Default"           LookNFeel="TaharezLook/GroupBox" />
+    <FalagardMapping WindowType="MenuWidgets/Tree"                        TargetType="CEGUI/Tree"              Renderer="Falagard/Tree"              LookNFeel="TaharezLook/Tree" />
+</GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme	(revision 6564)
+++ code/branches/gamestate/data/gui/schemes/TaharezMenuWidgetsAliases.scheme	(revision 6564)
@@ -0,0 +1,46 @@
+<?xml version="1.0" ?>
+<GUIScheme Name="TaharezMenuWidgetsAliases">
+    <WindowAlias Alias="TaharezLook/Button"                      Target="MenuWidgets/Button" />
+    <WindowAlias Alias="TaharezLook/Checkbox"                    Target="MenuWidgets/Checkbox" />
+    <WindowAlias Alias="TaharezLook/ImageButton"                 Target="MenuWidgets/ImageButton" />
+    <WindowAlias Alias="TaharezLook/RadioButton"                 Target="MenuWidgets/RadioButton" />
+    <WindowAlias Alias="TaharezLook/FrameWindow"                 Target="MenuWidgets/FrameWindow" />
+    <WindowAlias Alias="TaharezLook/Titlebar"                    Target="MenuWidgets/Titlebar" />
+    <WindowAlias Alias="TaharezLook/SystemButton"                Target="MenuWidgets/SystemButton" />
+    <WindowAlias Alias="TaharezLook/Editbox"                     Target="MenuWidgets/Editbox" />
+    <WindowAlias Alias="TaharezLook/MultiLineEditbox"            Target="MenuWidgets/MultiLineEditbox" />
+    <WindowAlias Alias="TaharezLook/Menubar"                     Target="MenuWidgets/Menubar" />
+    <WindowAlias Alias="TaharezLook/PopupMenu"                   Target="MenuWidgets/PopupMenu" />
+    <WindowAlias Alias="TaharezLook/MenuItem"                    Target="MenuWidgets/MenuItem" />
+    <WindowAlias Alias="TaharezLook/AlternateProgressBar"        Target="MenuWidgets/AlternateProgressBar" />
+    <WindowAlias Alias="TaharezLook/ProgressBar"                 Target="MenuWidgets/ProgressBar" />
+    <WindowAlias Alias="TaharezLook/VUMeter"                     Target="MenuWidgets/VUMeter" />
+    <WindowAlias Alias="TaharezLook/VerticalScrollbar"           Target="MenuWidgets/VerticalScrollbar" />
+    <WindowAlias Alias="TaharezLook/HorizontalScrollbar"         Target="MenuWidgets/HorizontalScrollbar" />
+    <WindowAlias Alias="TaharezLook/VerticalScrollbarThumb"      Target="MenuWidgets/VerticalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/HorizontalScrollbarThumb"    Target="MenuWidgets/HorizontalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbar"      Target="MenuWidgets/LargeVerticalScrollbar" />
+    <WindowAlias Alias="TaharezLook/LargeVerticalScrollbarThumb" Target="MenuWidgets/LargeVerticalScrollbarThumb" />
+    <WindowAlias Alias="TaharezLook/TabButton"                   Target="MenuWidgets/TabButton" />
+    <WindowAlias Alias="TaharezLook/TabControl"                  Target="MenuWidgets/TabControl" />
+    <WindowAlias Alias="TaharezLook/TabContentPane"              Target="MenuWidgets/TabContentPane" />
+    <WindowAlias Alias="TaharezLook/TabButtonPane"               Target="MenuWidgets/TabButtonPane" />
+    <WindowAlias Alias="TaharezLook/ComboDropList"               Target="MenuWidgets/ComboDropList" />
+    <WindowAlias Alias="TaharezLook/ComboEditbox"                Target="MenuWidgets/ComboEditbox" />
+    <WindowAlias Alias="TaharezLook/Combobox"                    Target="MenuWidgets/Combobox" />
+    <WindowAlias Alias="TaharezLook/Listbox"                     Target="MenuWidgets/Listbox" />
+    <WindowAlias Alias="TaharezLook/ListHeader"                  Target="MenuWidgets/ListHeader" />
+    <WindowAlias Alias="TaharezLook/ListHeaderSegment"           Target="MenuWidgets/ListHeaderSegment" />
+    <WindowAlias Alias="TaharezLook/MultiColumnList"             Target="MenuWidgets/MultiColumnList" />
+    <WindowAlias Alias="TaharezLook/Slider"                      Target="MenuWidgets/Slider" />
+    <WindowAlias Alias="TaharezLook/SliderThumb"                 Target="MenuWidgets/SliderThumb" />
+    <WindowAlias Alias="TaharezLook/ScrollablePane"              Target="MenuWidgets/ScrollablePane" />
+    <WindowAlias Alias="TaharezLook/Spinner"                     Target="MenuWidgets/Spinner" />
+    <WindowAlias Alias="TaharezLook/Tooltip"                     Target="MenuWidgets/Tooltip" />
+    <WindowAlias Alias="TaharezLook/StaticImage"                 Target="MenuWidgets/StaticImage" />
+    <WindowAlias Alias="TaharezLook/StaticText"                  Target="MenuWidgets/StaticText" />
+    <WindowAlias Alias="TaharezLook/ItemListbox"                 Target="MenuWidgets/ItemListbox" />
+    <WindowAlias Alias="TaharezLook/ListboxItem"                 Target="MenuWidgets/ListboxItem" />
+    <WindowAlias Alias="TaharezLook/GroupBox"                    Target="MenuWidgets/GroupBox" />
+    <WindowAlias Alias="TaharezLook/Tree"                        Target="MenuWidgets/Tree" />
+</GUIScheme>
Index: code/branches/gamestate/data/gui/schemes/WindowsLook.scheme
===================================================================
--- code/branches/gamestate/data/gui/schemes/WindowsLook.scheme	(revision 6562)
+++ code/branches/gamestate/data/gui/schemes/WindowsLook.scheme	(revision 6564)
@@ -1,4 +1,4 @@
 <?xml version="1.0" ?>
-<GUIScheme Name="WindowsLookSkin">
+<GUIScheme Name="WindowsLook">
 	<Imageset Name="WindowsLook" Filename="WindowsLook.imageset" />
 	<LookNFeel Filename="WindowsLook.looknfeel" />
Index: code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua	(revision 6562)
+++ code/branches/gamestate/data/gui/scripts/InitialiseGUI.lua	(revision 6564)
@@ -7,11 +7,12 @@
 local cursor    = CEGUI.MouseCursor:getSingleton()
 
-schemeMgr:loadScheme("TaharezLook.scheme")
--- load scheme with our own images
+schemeMgr:loadScheme("TaharezMenuWidgets.scheme")
+schemeMgr:loadScheme("TaharezMenuWidgetsAliases.scheme")
+-- load scheme with our own images, hack!
 schemeMgr:loadScheme("OrxonoxGUIScheme.scheme")
 
 system:setDefaultMouseCursor("TaharezLook", "MouseArrow")
 system:setDefaultFont("BlueHighway-12")
-system:setDefaultTooltip("TaharezLook/Tooltip")
+system:setDefaultTooltip("MenuWidgets/Tooltip")
 
 loadedGUIs = {}
Index: code/branches/gamestate/data/gui/scripts/KeyBindMenu.lua
===================================================================
--- code/branches/gamestate/data/gui/scripts/KeyBindMenu.lua	(revision 6562)
+++ code/branches/gamestate/data/gui/scripts/KeyBindMenu.lua	(revision 6564)
@@ -65,5 +65,5 @@
 
     --Calculate design parameters:
-    sampleWindow = winMgr:createWindow("TaharezLook/StaticText", "orxonox/KeyBindPane/SampleWindow")
+    sampleWindow = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/KeyBindPane/SampleWindow")
     sampleWindow:setText("SampleText")
 
@@ -122,5 +122,5 @@
     line:setPosition(CEGUI.UVector2(CEGUI.UDim(0, 0), CEGUI.UDim(0, lineHeight*(k-1))))
 
-    local command = winMgr:createWindow("TaharezLook/StaticText", "orxonox/KeyBindPane/Binding" .. k .. "/Command")
+    local command = winMgr:createWindow("MenuWidgets/StaticText", "orxonox/KeyBindPane/Binding" .. k .. "/Command")
     command:setText(nameList[k])
     command:setSize(CEGUI.UVector2(CEGUI.UDim(0, commandWidth), CEGUI.UDim(1, 0)))
@@ -129,5 +129,5 @@
     offset = offset + commandWidth + spaceWidth
 
-    local plus = winMgr:createWindow("TaharezLook/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Plus")
+    local plus = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Plus")
     plus:setSize(CEGUI.UVector2(CEGUI.UDim(0, addWidth), CEGUI.UDim(0.7, 0)))
     plus:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.15, 0)))
@@ -139,5 +139,5 @@
     local numButtons = orxonox.KeyBinderManager:getInstance():getCurrent():getNumberOfBindings(commandList[k]);
     for i=0,(numButtons-1) do
-        local button = winMgr:createWindow("TaharezLook/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Button" .. i)
+        local button = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Button" .. i)
         local name = orxonox.KeyBinderManager:getInstance():getCurrent():getBinding(commandList[k],i)
         name = P.KeyNameNiceifier(name)
@@ -153,5 +153,5 @@
         offset = offset + buttonWidth
 
-        local clear = winMgr:createWindow("TaharezLook/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Clear" .. i)
+        local clear = winMgr:createWindow("MenuWidgets/TabButton", "orxonox/KeyBindPane/Binding" .. k .. "/Clear" .. i)
         clear:setSize(CEGUI.UVector2(CEGUI.UDim(0, clearWidth), CEGUI.UDim(0.7, 0)))
         clear:setPosition(CEGUI.UVector2(CEGUI.UDim(0, offset), CEGUI.UDim(0.15, 0)))
Index: code/branches/gamestate/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/gamestate/src/modules/questsystem/QuestGUI.cc	(revision 6562)
+++ code/branches/gamestate/src/modules/questsystem/QuestGUI.cc	(revision 6564)
@@ -109,5 +109,5 @@
 
         //! Create root window.
-        this->rootWindow_ = this->windowManager_->createWindow("TaharezLook/ScrollablePane", "QuestGUI/Quests");
+        this->rootWindow_ = this->windowManager_->createWindow("MenuWidgets/ScrollablePane", "QuestGUI/Quests");
         this->rootWindow_->setSize(CEGUI::UVector2(CEGUI::UDim(1, 0),CEGUI::UDim(1, 0)));
 
@@ -161,7 +161,7 @@
         Get a CEGUI Window to use.
         Windows that are no longer used are collected with giveWindow, and are given out again with getWindow, so save some time recreating new windows everytime.
-        The retreived window is of type "TaharezLook/TabButton".
-    @return
-        Returns a CEGUI Window of type "TaharezLook/TabButton".
+        The retreived window is of type "MenuWidgets/TabButton".
+    @return
+        Returns a CEGUI Window of type "MenuWidgets/TabButton".
     */
     CEGUI::Window* QuestGUI::getWindow(void)
@@ -177,5 +177,5 @@
         std::ostringstream stream;
         stream << "QuestGUI/Quests/EmptyWindows/" << this->windows_.size()+1;
-        return this->windowManager_->createWindow("TaharezLook/TabButton", stream.str());
+        return this->windowManager_->createWindow("MenuWidgets/TabButton", stream.str());
     }
 
Index: code/branches/gamestate/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- code/branches/gamestate/src/modules/questsystem/QuestGUINode.cc	(revision 6562)
+++ code/branches/gamestate/src/modules/questsystem/QuestGUINode.cc	(revision 6564)
@@ -160,5 +160,5 @@
             stream << this->window_->getName() << "/Details";
             const QuestDescription* description = this->item_->getDescription();
-            this->details_ = this->gui_->getWindowManager()->createWindow("TaharezLook/FrameWindow", stream.str());
+            this->details_ = this->gui_->getWindowManager()->createWindow("MenuWidgets/FrameWindow", stream.str());
             this->details_->setSize(CEGUI::UVector2(CEGUI::UDim(0.7, 0),CEGUI::UDim(0.7, 0)));
             this->details_->setPosition(CEGUI::UVector2(CEGUI::UDim(0.1, 0),CEGUI::UDim(0.1, 0)));
@@ -171,5 +171,5 @@
             //! Create a ScrollablePane.
             stream << "/Scrollable";
-            CEGUI::Window* window = this->gui_->getWindowManager()->createWindow("TaharezLook/ScrollablePane", stream.str());
+            CEGUI::Window* window = this->gui_->getWindowManager()->createWindow("MenuWidgets/ScrollablePane", stream.str());
             window->setSize(CEGUI::UVector2(CEGUI::UDim(1.0, -2*QuestGUINode::BORDER_WIDTH),CEGUI::UDim(1.0, -QuestGUINode::TITLE_HEIGHT)));
             window->setPosition(CEGUI::UVector2(CEGUI::UDim(0, QuestGUINode::BORDER_WIDTH),CEGUI::UDim(0, QuestGUINode::TITLE_HEIGHT)));
@@ -185,5 +185,5 @@
                 stream.str("");
                 stream << this->details_->getName() << "/Status";
-                CEGUI::Window* statusWindow = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
+                CEGUI::Window* statusWindow = this->gui_->getWindowManager()->createWindow("MenuWidgets/StaticText", stream.str());
                 window->addChildWindow(statusWindow);
                 std::string status;
@@ -214,5 +214,5 @@
             stream << this->details_->getName() << "/Description";
             stream << "/Title";
-            CEGUI::Window* descriptionWindowTitle = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
+            CEGUI::Window* descriptionWindowTitle = this->gui_->getWindowManager()->createWindow("MenuWidgets/StaticText", stream.str());
             window->addChildWindow(descriptionWindowTitle);
             descriptionWindowTitle->setProperty("HorzFormatting", "HorzCentred");
@@ -227,5 +227,5 @@
             stream.str("");
             stream << this->details_->getName() << "/Description";
-            CEGUI::Window* descriptionWindow = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
+            CEGUI::Window* descriptionWindow = this->gui_->getWindowManager()->createWindow("MenuWidgets/StaticText", stream.str());
             window->addChildWindow(descriptionWindow);
             descriptionWindow->setProperty("HorzFormatting", "WordWrapLeftAligned");
@@ -250,5 +250,5 @@
                             stream.str("");
                             stream << this->details_->getName() << "/Hints/Title";
-                            CEGUI::Window* hintsTitle = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
+                            CEGUI::Window* hintsTitle = this->gui_->getWindowManager()->createWindow("MenuWidgets/StaticText", stream.str());
                             window->addChildWindow(hintsTitle);
                             hintsTitle->setProperty("HorzFormatting", "HorzCentred");
Index: code/branches/gamestate/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- code/branches/gamestate/src/orxonox/pickup/PickupInventory.cc	(revision 6562)
+++ code/branches/gamestate/src/orxonox/pickup/PickupInventory.cc	(revision 6564)
@@ -300,5 +300,5 @@
         if(!winMgr) { return; }
 
-        CEGUI::Window* frame = winMgr->createWindow("TaharezLook/StaticImage", "orxonox/Inventory/Frame/" + id);
+        CEGUI::Window* frame = winMgr->createWindow("MenuWidgets/StaticImage", "orxonox/Inventory/Frame/" + id);
         frame->setPosition(CEGUI::UVector2(CEGUI::UDim(0, 5 + x * 70), CEGUI::UDim(0, 5 + y * 90)));
         frame->setSize(CEGUI::UVector2(CEGUI::UDim(0, 65), CEGUI::UDim(0, 65)));
@@ -306,5 +306,5 @@
         frame->setVisible(false);
 
-        CEGUI::Window* text = winMgr->createWindow("TaharezLook/StaticText", "orxonox/Inventory/Title/" + id);
+        CEGUI::Window* text = winMgr->createWindow("MenuWidgets/StaticText", "orxonox/Inventory/Title/" + id);
         text->setPosition(CEGUI::UVector2(CEGUI::UDim(0, 5 + x * 70), CEGUI::UDim(0, 70 + y * 90)));
         text->setSize(CEGUI::UVector2(CEGUI::UDim(0, 65), CEGUI::UDim(0, 20)));
@@ -316,5 +316,5 @@
         text->setVisible(false);
 
-        CEGUI::Window* btn = winMgr->createWindow("TaharezLook/Button", "orxonox/Inventory/Items/" + id);
+        CEGUI::Window* btn = winMgr->createWindow("MenuWidgets/Button", "orxonox/Inventory/Items/" + id);
         btn->setPosition(CEGUI::UVector2(CEGUI::UDim(0, 8 + x * 70), CEGUI::UDim(0, 8 + y * 90)));
         btn->setSize(CEGUI::UVector2(CEGUI::UDim(0, 59), CEGUI::UDim(0, 59)));
